#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is mozilla.org code.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1998
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

DEPTH		= ../..
topsrcdir	= @top_srcdir@
srcdir		= @srcdir@
VPATH		= @srcdir@

include $(DEPTH)/config/autoconf.mk

MODULE		= plugin

DIRS		= base/public 

ifdef MOZ_PLUGINS
DIRS		+= base/src 

ifeq ($(MOZ_WIDGET_TOOLKIT),gtk2)
TOOL_DIRS += sdk/samples/unixprinting
endif

# These subdirs rely on GTK libraries and header files, it is not
#  buildable on other non-GTK unix builds

ifdef MOZ_ENABLE_GTK2
TOOL_DIRS += default/unix
endif

ifeq ($(OS_ARCH),WINNT)
TOOL_DIRS += default/windows
endif

ifeq ($(OS_ARCH),OS2)
TOOL_DIRS += default/os2
ifdef MOZ_OJI
TOOL_DIRS += os2wrapper
endif
ifdef ENABLE_TESTS
TOOL_DIRS += tools/tester/common tools/tester/os2
endif
endif

ifeq ($(MOZ_WIDGET_TOOLKIT),cocoa)
TOOL_DIRS += default/mac
endif

ifdef ENABLE_TESTS
ifneq (,$(filter WINNT Darwin Linux,$(OS_ARCH)))
TOOL_DIRS += sdk
endif
DIRS += test
endif

endif # MOZ_PLUGINS

include $(topsrcdir)/config/rules.mk

ifdef MOZ_PLUGINS
$(DIST)/bin/plugins:
	$(NSINSTALL) -D $@

export:: $(DIST)/bin/plugins

endif
